﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Traducteur;
using System.Media;
namespace ClientTraducteur
{
    /// <summary>
    /// Logique d'interaction pour MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        APITranslator _traducteur=null;
        SoundPlayer _snd=null;

        public MainWindow()
        {
            InitializeComponent();
            _traducteur = new APITranslator();
            _traducteur.RequeteTerminee +=new APITranslator.TraducteurHandler(_traducteur_RequeteTerminee);
                //new Traducteur.APITranslator.TraducteurHandler(_traducteur_RequeteTerminee);
            _snd = new SoundPlayer();    
        }

        void _traducteur_RequeteTerminee(object sender, Traducteur.TraducteurEventArgs e)
        {
            if (e.EstSynthetiser == false)
            {
                txtTraduit.Text = e.Resultat;
            }
            else
            {
                _snd.SoundLocation = e.Resultat;
                _snd.PlaySync();
            }
        }

        private void cmdTraduire_Click(object sender, RoutedEventArgs e)
        {
            _traducteur.Traduire(txtAtraduire.Text , "fr", "en");  
        }

        private void cmdSynthetiser_Click(object sender, RoutedEventArgs e)
        {
            _traducteur.Synthetiser(txtTraduit.Text, "en");  
        }
    }
}
